Commit 466e79d8a3544f0c54a503696346d18a23e2580b
1 parent
f0a721e4
no message
Showing
4 changed files
with
27 additions
and
27 deletions
CNLiveBUserAgreement/Classes/CNLiveUserAgreementManager.h
| @@ -24,7 +24,7 @@ typedef NS_ENUM(NSUInteger, CNLiveGetAgreementH5Type) { | @@ -24,7 +24,7 @@ typedef NS_ENUM(NSUInteger, CNLiveGetAgreementH5Type) { | ||
| 24 | CNLiveUserAgreementCancellation = 1010,//注销须知 | 24 | CNLiveUserAgreementCancellation = 1010,//注销须知 |
| 25 | 25 | ||
| 26 | CNLiveUserAgreementLiveSign = 1011,//直播签约 | 26 | CNLiveUserAgreementLiveSign = 1011,//直播签约 |
| 27 | - CNLiveUserAgreementContentSecurity = 1012,//中国网家家内容安全协议 | 27 | + CNLiveUserAgreementContentSecurity = 1012,//中国网家家内容安全协议/机构认证 |
| 28 | CNLiveUserAgreementLiveBroadcast = 1013,//了解更多直播方式 | 28 | CNLiveUserAgreementLiveBroadcast = 1013,//了解更多直播方式 |
| 29 | CNLiveUserAgreementLiveIssue = 1014,//直播常见问题 | 29 | CNLiveUserAgreementLiveIssue = 1014,//直播常见问题 |
| 30 | CNLiveUserAgreementCodeConduct = 1015 //主播行为规范 | 30 | CNLiveUserAgreementCodeConduct = 1015 //主播行为规范 |
CNLiveBUserAgreement/Classes/CNLiveUserAgreementManager.m
| @@ -180,7 +180,7 @@ static CNLiveUserAgreementManager *_instance = nil; | @@ -180,7 +180,7 @@ static CNLiveUserAgreementManager *_instance = nil; | ||
| 180 | break; | 180 | break; |
| 181 | case CNLiveUserAgreementContentSecurity://中国网家家内容安全协议 | 181 | case CNLiveUserAgreementContentSecurity://中国网家家内容安全协议 |
| 182 | { | 182 | { |
| 183 | - if ([[NSString stringWithFormat:@"%@", dic[@"type"]] isEqualToString:@"zbqy"]) { | 183 | + if ([[NSString stringWithFormat:@"%@", dic[@"type"]] isEqualToString:@"jgrz"]) { |
| 184 | if (success) { | 184 | if (success) { |
| 185 | success(dic[@"detailUrl"], dic[@"title"], closeHidden); | 185 | success(dic[@"detailUrl"], dic[@"title"], closeHidden); |
| 186 | return ; | 186 | return ; |
| @@ -190,7 +190,7 @@ static CNLiveUserAgreementManager *_instance = nil; | @@ -190,7 +190,7 @@ static CNLiveUserAgreementManager *_instance = nil; | ||
| 190 | break; | 190 | break; |
| 191 | case CNLiveUserAgreementLiveBroadcast://了解更多直播方式 | 191 | case CNLiveUserAgreementLiveBroadcast://了解更多直播方式 |
| 192 | { | 192 | { |
| 193 | - if ([[NSString stringWithFormat:@"%@", dic[@"type"]] isEqualToString:@"zbqy"]) { | 193 | + if ([[NSString stringWithFormat:@"%@", dic[@"type"]] isEqualToString:@"ljfs"]) { |
| 194 | if (success) { | 194 | if (success) { |
| 195 | success(dic[@"detailUrl"], dic[@"title"], closeHidden); | 195 | success(dic[@"detailUrl"], dic[@"title"], closeHidden); |
| 196 | return ; | 196 | return ; |
| @@ -200,7 +200,7 @@ static CNLiveUserAgreementManager *_instance = nil; | @@ -200,7 +200,7 @@ static CNLiveUserAgreementManager *_instance = nil; | ||
| 200 | break; | 200 | break; |
| 201 | case CNLiveUserAgreementLiveIssue://直播常见问题 | 201 | case CNLiveUserAgreementLiveIssue://直播常见问题 |
| 202 | { | 202 | { |
| 203 | - if ([[NSString stringWithFormat:@"%@", dic[@"type"]] isEqualToString:@"zbqy"]) { | 203 | + if ([[NSString stringWithFormat:@"%@", dic[@"type"]] isEqualToString:@"wtyj"]) { |
| 204 | if (success) { | 204 | if (success) { |
| 205 | success(dic[@"detailUrl"], dic[@"title"], closeHidden); | 205 | success(dic[@"detailUrl"], dic[@"title"], closeHidden); |
| 206 | return ; | 206 | return ; |
| @@ -210,7 +210,7 @@ static CNLiveUserAgreementManager *_instance = nil; | @@ -210,7 +210,7 @@ static CNLiveUserAgreementManager *_instance = nil; | ||
| 210 | break; | 210 | break; |
| 211 | case CNLiveUserAgreementCodeConduct://主播行为规范 | 211 | case CNLiveUserAgreementCodeConduct://主播行为规范 |
| 212 | { | 212 | { |
| 213 | - if ([[NSString stringWithFormat:@"%@", dic[@"type"]] isEqualToString:@"zbqy"]) { | 213 | + if ([[NSString stringWithFormat:@"%@", dic[@"type"]] isEqualToString:@"xwgf"]) { |
| 214 | if (success) { | 214 | if (success) { |
| 215 | success(dic[@"detailUrl"], dic[@"title"], closeHidden); | 215 | success(dic[@"detailUrl"], dic[@"title"], closeHidden); |
| 216 | return ; | 216 | return ; |
Example/CNLiveBUserAgreement.xcodeproj/project.pbxproj
| @@ -207,8 +207,8 @@ | @@ -207,8 +207,8 @@ | ||
| 207 | 6003F586195388D20070C39A /* Sources */, | 207 | 6003F586195388D20070C39A /* Sources */, |
| 208 | 6003F587195388D20070C39A /* Frameworks */, | 208 | 6003F587195388D20070C39A /* Frameworks */, |
| 209 | 6003F588195388D20070C39A /* Resources */, | 209 | 6003F588195388D20070C39A /* Resources */, |
| 210 | - 54CB11EA3D12747A992C2427 /* [CP] Embed Pods Frameworks */, | ||
| 211 | - D851BEB3E2A1AB7BE2CBCDE7 /* [CP] Copy Pods Resources */, | 210 | + 1B064539224E0E1189FAF39C /* [CP] Embed Pods Frameworks */, |
| 211 | + 3EC449E60B68AE0B45A3567E /* [CP] Copy Pods Resources */, | ||
| 212 | ); | 212 | ); |
| 213 | buildRules = ( | 213 | buildRules = ( |
| 214 | ); | 214 | ); |
| @@ -299,7 +299,7 @@ | @@ -299,7 +299,7 @@ | ||
| 299 | /* End PBXResourcesBuildPhase section */ | 299 | /* End PBXResourcesBuildPhase section */ |
| 300 | 300 | ||
| 301 | /* Begin PBXShellScriptBuildPhase section */ | 301 | /* Begin PBXShellScriptBuildPhase section */ |
| 302 | - 54CB11EA3D12747A992C2427 /* [CP] Embed Pods Frameworks */ = { | 302 | + 1B064539224E0E1189FAF39C /* [CP] Embed Pods Frameworks */ = { |
| 303 | isa = PBXShellScriptBuildPhase; | 303 | isa = PBXShellScriptBuildPhase; |
| 304 | buildActionMask = 2147483647; | 304 | buildActionMask = 2147483647; |
| 305 | files = ( | 305 | files = ( |
| @@ -365,29 +365,25 @@ | @@ -365,29 +365,25 @@ | ||
| 365 | shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBUserAgreement_Example/Pods-CNLiveBUserAgreement_Example-frameworks.sh\"\n"; | 365 | shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBUserAgreement_Example/Pods-CNLiveBUserAgreement_Example-frameworks.sh\"\n"; |
| 366 | showEnvVarsInLog = 0; | 366 | showEnvVarsInLog = 0; |
| 367 | }; | 367 | }; |
| 368 | - 605B89863D25EA4179988F8A /* [CP] Check Pods Manifest.lock */ = { | 368 | + 3EC449E60B68AE0B45A3567E /* [CP] Copy Pods Resources */ = { |
| 369 | isa = PBXShellScriptBuildPhase; | 369 | isa = PBXShellScriptBuildPhase; |
| 370 | buildActionMask = 2147483647; | 370 | buildActionMask = 2147483647; |
| 371 | files = ( | 371 | files = ( |
| 372 | ); | 372 | ); |
| 373 | - inputFileListPaths = ( | ||
| 374 | - ); | ||
| 375 | inputPaths = ( | 373 | inputPaths = ( |
| 376 | - "${PODS_PODFILE_DIR_PATH}/Podfile.lock", | ||
| 377 | - "${PODS_ROOT}/Manifest.lock", | ||
| 378 | - ); | ||
| 379 | - name = "[CP] Check Pods Manifest.lock"; | ||
| 380 | - outputFileListPaths = ( | 374 | + "${PODS_ROOT}/Target Support Files/Pods-CNLiveBUserAgreement_Example/Pods-CNLiveBUserAgreement_Example-resources.sh", |
| 375 | + "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBUserAgreement/CNLiveBUserAgreement.bundle", | ||
| 381 | ); | 376 | ); |
| 377 | + name = "[CP] Copy Pods Resources"; | ||
| 382 | outputPaths = ( | 378 | outputPaths = ( |
| 383 | - "$(DERIVED_FILE_DIR)/Pods-CNLiveBUserAgreement_Example-checkManifestLockResult.txt", | 379 | + "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBUserAgreement.bundle", |
| 384 | ); | 380 | ); |
| 385 | runOnlyForDeploymentPostprocessing = 0; | 381 | runOnlyForDeploymentPostprocessing = 0; |
| 386 | shellPath = /bin/sh; | 382 | shellPath = /bin/sh; |
| 387 | - shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; | 383 | + shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBUserAgreement_Example/Pods-CNLiveBUserAgreement_Example-resources.sh\"\n"; |
| 388 | showEnvVarsInLog = 0; | 384 | showEnvVarsInLog = 0; |
| 389 | }; | 385 | }; |
| 390 | - 61C3FD635D2373F0B13D5A15 /* [CP] Check Pods Manifest.lock */ = { | 386 | + 605B89863D25EA4179988F8A /* [CP] Check Pods Manifest.lock */ = { |
| 391 | isa = PBXShellScriptBuildPhase; | 387 | isa = PBXShellScriptBuildPhase; |
| 392 | buildActionMask = 2147483647; | 388 | buildActionMask = 2147483647; |
| 393 | files = ( | 389 | files = ( |
| @@ -402,29 +398,33 @@ | @@ -402,29 +398,33 @@ | ||
| 402 | outputFileListPaths = ( | 398 | outputFileListPaths = ( |
| 403 | ); | 399 | ); |
| 404 | outputPaths = ( | 400 | outputPaths = ( |
| 405 | - "$(DERIVED_FILE_DIR)/Pods-CNLiveBUserAgreement_Tests-checkManifestLockResult.txt", | 401 | + "$(DERIVED_FILE_DIR)/Pods-CNLiveBUserAgreement_Example-checkManifestLockResult.txt", |
| 406 | ); | 402 | ); |
| 407 | runOnlyForDeploymentPostprocessing = 0; | 403 | runOnlyForDeploymentPostprocessing = 0; |
| 408 | shellPath = /bin/sh; | 404 | shellPath = /bin/sh; |
| 409 | shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; | 405 | shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; |
| 410 | showEnvVarsInLog = 0; | 406 | showEnvVarsInLog = 0; |
| 411 | }; | 407 | }; |
| 412 | - D851BEB3E2A1AB7BE2CBCDE7 /* [CP] Copy Pods Resources */ = { | 408 | + 61C3FD635D2373F0B13D5A15 /* [CP] Check Pods Manifest.lock */ = { |
| 413 | isa = PBXShellScriptBuildPhase; | 409 | isa = PBXShellScriptBuildPhase; |
| 414 | buildActionMask = 2147483647; | 410 | buildActionMask = 2147483647; |
| 415 | files = ( | 411 | files = ( |
| 416 | ); | 412 | ); |
| 413 | + inputFileListPaths = ( | ||
| 414 | + ); | ||
| 417 | inputPaths = ( | 415 | inputPaths = ( |
| 418 | - "${PODS_ROOT}/Target Support Files/Pods-CNLiveBUserAgreement_Example/Pods-CNLiveBUserAgreement_Example-resources.sh", | ||
| 419 | - "${PODS_CONFIGURATION_BUILD_DIR}/CNLiveBUserAgreement/CNLiveBUserAgreement.bundle", | 416 | + "${PODS_PODFILE_DIR_PATH}/Podfile.lock", |
| 417 | + "${PODS_ROOT}/Manifest.lock", | ||
| 418 | + ); | ||
| 419 | + name = "[CP] Check Pods Manifest.lock"; | ||
| 420 | + outputFileListPaths = ( | ||
| 420 | ); | 421 | ); |
| 421 | - name = "[CP] Copy Pods Resources"; | ||
| 422 | outputPaths = ( | 422 | outputPaths = ( |
| 423 | - "${TARGET_BUILD_DIR}/${UNLOCALIZED_RESOURCES_FOLDER_PATH}/CNLiveBUserAgreement.bundle", | 423 | + "$(DERIVED_FILE_DIR)/Pods-CNLiveBUserAgreement_Tests-checkManifestLockResult.txt", |
| 424 | ); | 424 | ); |
| 425 | runOnlyForDeploymentPostprocessing = 0; | 425 | runOnlyForDeploymentPostprocessing = 0; |
| 426 | shellPath = /bin/sh; | 426 | shellPath = /bin/sh; |
| 427 | - shellScript = "\"${PODS_ROOT}/Target Support Files/Pods-CNLiveBUserAgreement_Example/Pods-CNLiveBUserAgreement_Example-resources.sh\"\n"; | 427 | + shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n # print error to STDERR\n echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n"; |
| 428 | showEnvVarsInLog = 0; | 428 | showEnvVarsInLog = 0; |
| 429 | }; | 429 | }; |
| 430 | /* End PBXShellScriptBuildPhase section */ | 430 | /* End PBXShellScriptBuildPhase section */ |
Example/CNLiveBUserAgreement/CNLIVEViewController.m
| @@ -32,7 +32,7 @@ | @@ -32,7 +32,7 @@ | ||
| 32 | } | 32 | } |
| 33 | 33 | ||
| 34 | - (void)testButtonClicked { | 34 | - (void)testButtonClicked { |
| 35 | - [CNLiveUserAgreementManager jumpToAgreementH5WithType:CNLiveUserAgreementHelp]; | 35 | + [CNLiveUserAgreementManager jumpToAgreementH5WithType:CNLiveUserAgreementLiveSign]; |
| 36 | 36 | ||
| 37 | } | 37 | } |
| 38 | 38 |